> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/announcements/booking-accommodation-room-options-update.md).

# Booking Accommodation API Changes

## What is changing?

We are updating our API to modify a key value. Effective from 22 October 2024, the key "numOptionsPerRoom" will be changed to "numOptions" in the [getBookingAccommodationList](/venues/accommodation/get-booking-accommodation-list.md) and [addOrUpdateBookingAccommodation](/venues/accommodation/add-or-update-booking-accommodation.md) endpoints.

## How might you be affected?

If you currently use the [getBookingAccommodationList](/venues/accommodation/get-booking-accommodation-list.md) and [addOrUpdateBookingAccommodation](/venues/accommodation/add-or-update-booking-accommodation.md) endpoints, please be aware that the key "numOptionsPerRoom" will no longer be recognized.

## What is changing in the iVvy API?

* [getBookingAccommodationList](/venues/accommodation/get-booking-accommodation-list.md)
* [addOrUpdateBookingAccommodation](/venues/accommodation/add-or-update-booking-accommodation.md)

The key "numOptionsPerRoom" will be replaced with "numOptions".

## What should you do?

Please update your applications and integrations to use the new key "numOptions" in place of "numOptionsPerRoom" for the [getBookingAccommodationList](/venues/accommodation/get-booking-accommodation-list.md) and [addOrUpdateBookingAccommodation](/venues/accommodation/add-or-update-booking-accommodation.md) endpoints.

If you have any questions or concerns regarding this API change, please don't hesitate to reach out to our dedicated support team at <support@ivvy.com>.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/announcements/booking-accommodation-room-options-update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
